org.licas

## Class ServiceInfo

- java.lang.Object
- - org.licas.ServiceInfo

-     public class ServiceInfo
      extends java.lang.Object

  This class stores information relating to a single service. It is used when adding a service to another one, internally by the system and is not required for external use.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceInfo(java.lang.String thisName, java.lang.String thisServiceType, org.licas_xml.abs.Element thisDescription, WorkInfo thisWorkInfo, ServiceWrapperDef thisService)` Creates a new instance of ServiceInfo.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceInfo` | `cloneNoService()` Get a limited clone of this object.
    `org.licas_xml.abs.Element` | `getDescription()` Get the description value.
    `java.lang.String` | `getName()` Return the name of the service.
    `ServiceWrapperDef` | `getService()` Return the service itself.
    `org.licas_xml.abs.Element` | `getServicePath()` Get the full service path.
    `java.lang.String` | `getServiceType()` Return the type of the service.
    `WorkInfo` | `getWorkInfo()` Get the work protocol description.
    `void` | `setDescription(org.licas_xml.abs.Element theDescription)` Set the description value.
    `void` | `setServicePath(org.licas_xml.abs.Element theServicePath)` Set the service path.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceInfo

          public ServiceInfo(java.lang.String thisName,
                             java.lang.String thisServiceType,
                             org.licas_xml.abs.Element thisDescription,
                             WorkInfo thisWorkInfo,
                             ServiceWrapperDef thisService)

      Creates a new instance of ServiceInfo.
      Parameters:
        `thisName` - the name to define the service.
        `thisServiceType` - the service type.
        `thisDescription` - the description. Can be `null`.
        `thisWorkInfo` - the allowed work protocol.
        `thisService` - the service wrapper.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Return the name of the service.
      Returns:
        the value of name.

    - #### getServiceType

          public java.lang.String getServiceType()

      Return the type of the service.
      Returns:
        the value of serviceType.

    - #### setServicePath

          public void setServicePath(org.licas_xml.abs.Element theServicePath)

      Set the service path.
      Parameters:
        `theServicePath` - the full path to the service.

    - #### getServicePath

          public org.licas_xml.abs.Element getServicePath()

      Get the full service path.
      Returns:
        the value of servicePath.

    - #### setDescription

          public void setDescription(org.licas_xml.abs.Element theDescription)

      Set the description value.
      Parameters:
        `theDescription` - the description of the service.

    - #### getDescription

          public org.licas_xml.abs.Element getDescription()

      Get the description value.
      Returns:
        the value of description.

    - #### getWorkInfo

          public WorkInfo getWorkInfo()

      Get the work protocol description.
      Returns:
        the value of workInfo.

    - #### getService

          public ServiceWrapperDef getService()

      Return the service itself.
      Returns:
        the value of service.

    - #### cloneNoService

          public ServiceInfo cloneNoService()

      Get a limited clone of this object.
      Returns:
        a clone of this object without the service object itself.